=== debian/changelog ===
ctpp2 (2.8.3-26build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:02:56 +0100

ctpp2 (2.8.3-26) unstable; urgency=medium

  * Update my email address
  * Configure Salsa pipeline
  * Update symbols for hppa, ia64, kfreebsd-amd64, sh4

 -- Kunal Mehta <legoktm@debian.org>  Sun, 30 Dec 2018 08:42:19 +0000

ctpp2 (2.8.3-25.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "makes ctpp2 randomly FTBFS, syntax errors, hides problems":
    add patch from Paolo Greppi to fix wrongly escaped docstrings which cause
    intermittent build failures.
    (Closes: #886120)

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Dec 2018 20:49:09 +0100

ctpp2 (2.8.3-25) unstable; urgency=medium

  * Update symbols file for all release and ports architecture.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 11 Aug 2018 21:21:28 +0530

ctpp2 (2.8.3-24) unstable; urgency=medium

  [ Kunal Mehta ]
  * Add myself as an uploader
  * Update symbols file
    Closes: #897732. Thanks to Mathias Klose.

  [ Vasudev Kamath ]
  * Fix an error in patch 1003.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 11 Aug 2018 17:47:49 +0530

ctpp2 (2.8.3-23) unstable; urgency=medium

  * Update symbols file for all architectures.
  * Drop libctpp2-2v5-dbg package in favor of automatic debug symbol package.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 19 Aug 2017 12:23:47 +0530

ctpp2 (2.8.3-22) unstable; urgency=medium

  * Stop pre-depend on multiarch-support.
    Closes: Bug#870507. Thanks to Aurelien Jarno.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 20:30:10 +0200

ctpp2 (2.8.3-21) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Acknowledge NMU by John Paul Adrian Glaubitz.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Use https protocol in file format URL.
    + Add coverage for myself.
  * Override lintian regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.1.
  * Fix Build-Depends-Indep (not Build-Depends) on graphviz.
  * Tighten major version resolving used for our packaging.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
    Stop build-depend on licensecheck.
  * Advertise DEP3 format in patch headers.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 16:49:25 +0200

ctpp2 (2.8.3-20.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols file for alpha, hppa,
    hurd-i386, s390x and x32. Closes: bug#856162.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 27 Feb 2017 11:07:54 +0100

ctpp2 (2.8.3-20) unstable; urgency=medium

  * Update symbols for various architectures.
    Closes: bug#856162. Thanks to Adrian Bunk.
  * Fix typo in the short description.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 26 Feb 2017 12:59:39 +0530

ctpp2 (2.8.3-19) unstable; urgency=medium

  * Update symbols file for amd64 architecture.
    Closes: bug#831203, Thanks to Lucas Nussbaum.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 16 Jul 2016 18:41:31 +0530

ctpp2 (2.8.3-18) unstable; urgency=medium

  * Update symbols file for gcc-6 release.
    Closes: bug#811963, Thanks to Martin Michlmayr.
  * debian/control:
    + Mark package as compliant with Debian policy 3.9.8
    + Change my email address in Maintainer field
    + Use secure https URL for Vcs-Git field.
    + Use secure Cgit URL for Vcs-Browser field.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 03 Jul 2016 16:30:10 +0530

ctpp2 (2.8.3-17) unstable; urgency=medium

  * Update symbols file to build on all architecture.
  * Bump S-V to 3.9.6, no change required to source.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 06 Sep 2015 22:14:43 +0530

ctpp2 (2.8.3-16) unstable; urgency=medium

  * Fix FTBFS with GCC5, introduces library transition (Closes: bug#791016)
  * Tighten build-depends on d-shlibs to 0.61, needed for --v5 option.
  * Remove autogenerated doxygen files, only required for faster doc
    regeneration.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 21 Aug 2015 21:32:40 +0530

ctpp2 (2.8.3-15) unstable; urgency=medium

  * Update symbols file for amd64 release.
    Closes: bug#759950, Thanks to Lucas Nussbaum.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 07 Sep 2014 20:24:15 +0530

ctpp2 (2.8.3-14) unstable; urgency=medium

  * Updated symbols file for powerpc architecture.
    Closes: bug#754638, Thanks to Cyril Brulebois.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 20 Jul 2014 23:27:45 +0530

ctpp2 (2.8.3-13) unstable; urgency=medium

  * Add support for ppc64el in symbols file.
    Closes: bug#752411, Thanks to Breno Leitao.
  * Update symbol file for amd64.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 20 Jul 2014 18:13:25 +0530

ctpp2 (2.8.3-12) unstable; urgency=medium

  * Update symbols file for kfreebsd-amd64 architecture.
    Closes: bug#754638, Thanks to Cyril Brulebois.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 13 Jul 2014 20:18:36 +0530

ctpp2 (2.8.3-11) unstable; urgency=medium

  * Update symbols file for all architecture

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 22 Jun 2014 22:26:01 +0530

ctpp2 (2.8.3-10) unstable; urgency=medium

  [ Vasudev Kamath ]
   * Update symbols file for mips64el architecture.
     Closes: bug#748950, Thanks to Sphinx Jiang.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 15 Jun 2014 00:59:24 +0530

ctpp2 (2.8.3-9) unstable; urgency=medium

  * Update symbols file for ppc64 architecture.
    Closes: bug#743755, Thanks to Hiroyuki Yamamoto.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Mon, 07 Apr 2014 20:28:57 +0530

ctpp2 (2.8.3-8) unstable; urgency=medium


