=== debian/control ===
Source: ctpp2
Section: libs
Priority: optional
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 cmake,
 d-shlibs (>= 0.61~),
 pkg-kde-tools
Build-Depends-Indep: doxygen, graphviz
Maintainer: Vasudev Kamath <vasudev@copyninja.info>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Kunal Mehta <legoktm@debian.org>
Standards-Version: 4.1.5
Homepage: http://ctpp.havoc.ru/en
Vcs-Git: https://salsa.debian.org/debian/ctpp2.git
Vcs-Browser: https://salsa.debian.org/debian/ctpp2

Package: ctpp2-utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Tools for ctpp template conversion
 CTPP is a suitable choice for projects where a programmer and an HTML
 designer are different people. The goal of CTPP development was to
 achieve maximum performance with minimal basic functionality that is
 easily expandable. In other words, any conceivable capabilities can
 be added by writing users functions.
 .
 This package provides following tools to deal with ctpp templates:
  * ctpp2c - CTPP template compiler
  * ctpp2i - CTPP template interpreter
  * ctpp2-config - CTPP configuration tool
  * ctpp2json - CTPP JSON file parser
  * ctpp2vm - CTPP virtual machine

Package: ctpp2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: HTML template engine for C++ - documentation
 CTPP is a suitable choice for projects where a programmer and an HTML
 designer are different people. The goal of CTPP development was to
 achieve maximum performance with minimal basic functionality that is
 easily expandable. In other words, any conceivable capabilities can be
 added by writing users functions.
 .
 This package contains API manual.

Package: libctpp2-2v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: ctpp2-utils
Conflicts: libctpp2-2
Replaces: libctpp2-2
Multi-Arch: same
Description: HTML template engine for C++
 CTPP is a suitable choice for projects where a programmer and an HTML
 designer are different people. The goal of CTPP development was to
 achieve maximum performance with minimal basic functionality that is
 easily expandable. In other words, any conceivable capabilities can be
 added by writing users functions.
 .
 CTPP has following advantages over other template engines:
  * Very High performance as this is written in C++
  * Flexible syntax of templates
  * Robustness
  * Portability
  * Support for implementations in the language your choice
  * Various template sources
  * Output data filters
  * User functions

Package: libctpp2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libctpp2-2v5 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: ctpp2-doc
Description: HTML template engine for C++ (development)
 CTPP is a suitable choice for projects where a programmer and an HTML
 designer are different people. The goal of CTPP development was to
 achieve maximum performance with minimal basic functionality that is
 easily expandable. In other words, any conceivable capabilities can be
 added by writing users functions.
 .
 This package provides header files for developing your applications to
 use ctpp2 template engine.
 .
 These header files allows you to utilize the library in your code to
 utilize the ctpp2 template engine.
