=== debian/watch ===
version = 3
http://ctpp.havoc.ru/download/ctpp2-(.*)\.tar\.gz
